import request from '@/utils/request'

// 查询异常事件列表
export function listEvent(query) {
  return request({
    url: '/api/v1/event',
    method: 'get',
    params: query
  })
}

// 11.2 获取各个业务系统，异常事件的数量 /api/v1/event/nums get

export function eventNums(query) {
  return request({
    url: '/api/v1/event/nums',
    method: 'get',
    params: query
  })
}
// 11.3 获取单个业务系统异常事件数量 /api/v1/test/event/num/{id}     //传值为app_id
export function singleNums(id) {
  return request({
    url: '/api/v1/test/event/num/' + id,
    method: 'get'
  })
}
// 12.1 异常事件列表获取接口 /api/v1/fire-events get
export function fireEvent(query) {
  return request({
    url: '/api/v1/fire-events',
    method: 'get',
    params: query
  })
}
// 12.2  标注处理异常事件  /api/v1/fire-events/notate/{id} post

export function notate(data, id) {
  return request({
    url: '/api/v1/fire-events/notate/' + id,
    method: 'post',
    data: data
  })
}
